package bdd;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
import android.util.Log;

import androidx.annotation.Nullable;

public class CreateBdInventaire extends SQLiteOpenHelper {
    public static final String TABLE_ARTICLE = "article";
    private static final String CREATE_TABLE_ARTICLE =
            "CREATE TABLE " + TABLE_ARTICLE + "(" +
                    "id INTEGER PRIMARY KEY AUTOINCREMENT, " +
                    "ref TEXT NOT NULL, " +
                    "des TEXT NOT NULL, " +
                    "pu REAL," +
                    "qte INTEGER);";

    @Override
    public void onCreate(SQLiteDatabase db) {
        db.execSQL(CREATE_TABLE_ARTICLE);
        Log.d("bdd", "Base créée");
    }

    @Override
    public void onUpgrade(SQLiteDatabase db, int i, int i1) {
        db.execSQL("DROP TABLE " + TABLE_ARTICLE + ";");
        Log.d("bdd", "Table " + TABLE_ARTICLE + " supprimée");
        onCreate(db);
    }

    public CreateBdInventaire(@Nullable Context context, @Nullable String name, @Nullable SQLiteDatabase.CursorFactory factory, int version) {
        super(context, name, factory, version);
    }
}
