package bdd;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.util.Log;

public class DAO {
    private static final int VERSION_BDD = 1;
    private static final String NOM_BDD = "inventaire.db";
    private CreateBdInventaire createBD = null;
    private SQLiteDatabase db = null;

    public DAO(Context context) {
        createBD = new CreateBdInventaire(context, NOM_BDD, null, VERSION_BDD);
        Log.d("bdd", "Appel au constructeur de la DAO ok");
    }

    public SQLiteDatabase open() {
        if (db == null) {
            db = createBD.getWritableDatabase();
            Log.d("bdd", "Base de donnée ouverte");
        } else {
            Log.d("bdd", "Base de donnée accessible");
        }
        return db;
    }

    public void close() {
        if (db != null) {
            db.close();
            Log.d("bdd", "Base de donnée fermer");
        }
    }
}
